import org.kde.koala.*;
import org.kde.qt.*;

public class Test {
  static String description = "Systemtray test application for Java";
  static String[][] options = {{ "+[File]", "image file to open", null }};
//  static String[][] options = new String[0][0];//{{ null, null, null }};

  public static void main(String[] argv){
   KAboutData aboutData = new KAboutData( "test", "Test",
         "0.1", description, KAboutData.License_GPL,
         "(C) 2002 Gert-Jan van der Heiden");
    KCmdLineArgs.init( argv, aboutData );
    KCmdLineArgs.addCmdLineOptions(options);
    System.out.println("1");
    KApplication app = new KApplication();
    System.out.println("2");
    KSystemTray systemTrayIcon = new KSystemTray(null, "test");
    System.out.println("3");
    systemTrayIcon.show();
    app.exec();    
    System.exit(0);
  }
  static {
    qtjava.initialize();
    kdejava.initialize();
  }
}
